### Hierarchy

- Entity
  - Prop

## Index

### Constructors

- constructor

### Properties

- bones
- handle

### Accessors

- AttachedBlip
- Bones
- Handle
- HasCollided
- HasGravity
- Heading
- Health
- HeightAboveGround
- IsCollisionEnabled
- IsInAir
- IsInWater
- IsInvincible
- IsOccluded
- IsOnFire
- IsOnScreen
- IsOnlyDamagedByPlayer
- IsPersistent
- IsPositionFrozen
- IsRecordingCollisions
- IsUpright
- IsUpsideDown
- IsVisible
- LodDistance
- MaterialCollidingWith
- MaxHealth
- MaxSpeed
- Model
- NetworkId
- Opacity
- Position
- PositionNoOffset
- Quaternion
- Rotation
- RotationVelocity
- SubmersionLevel
- Velocity

### Methods

- applyForce
- applyForceRelative
- attachBlip
- attachTo
- attachToBone
- clearLastWeaponDamage
- delete
- detach
- exists
- getEntityAttachedTo
- getOffsetPosition
- getPositionOffset
- hasBeenDamagedBy
- hasBeenDamagedByAnyMeleeWeapon
- hasBeenDamagedByAnyWeapon
- hasBeenDamagedByWeapon
- hasClearLosToEntity
- hasClearLosToEntityInFront
- isAlive
- isAttached
- isAttachedTo
- isDead
- isInAngledArea
- isInArea
- isInRangeOf
- isNearEntity
- isTouching
- isTouchingModel
- markAsNoLongerNeeded
- placeOnGround
- removeAllParticleEffects
- resetOpacity
- setNoCollision
- exists
- fromHandle
- fromNetworkId

## Constructors

### constructor

- new Prop(handle: number): Prop

- Overrides Entity.constructor

  - Defined in models/Prop.ts:8

  #### Parameters

  - ##### handle: number

  #### Returns Prop

## Properties

### Protected bones

bones: undefined | EntityBoneCollection

Inherited from Entity.bones

- Defined in models/Entity.ts:29

### Protected handle

handle: number

Inherited from Entity.handle

- Defined in models/Entity.ts:28

## Accessors

### AttachedBlip

- get AttachedBlip(): null | Blip

- - Defined in models/Entity.ts:247

  #### Returns null | Blip

### Bones

- get Bones(): undefined | EntityBoneCollection

- - Defined in models/Entity.ts:240

  #### Returns undefined | EntityBoneCollection

### Handle

- get Handle(): number

- - Defined in models/Entity.ts:35

  #### Returns number

### HasCollided

- get HasCollided(): boolean

- - Defined in models/Entity.ts:220

  #### Returns boolean

### HasGravity

- set HasGravity(value: boolean): void

- - Defined in models/Entity.ts:132

  #### Parameters

  - ##### value: boolean

  #### Returns void

### Heading

- get Heading(): number
- set Heading(heading: number): void

- - Defined in models/Entity.ts:102

  #### Returns number

- - Defined in models/Entity.ts:106

  #### Parameters

  - ##### heading: number

  #### Returns void

### Health

- get Health(): number
- set Health(amount: number): void

- - Defined in models/Entity.ts:43

  #### Returns number

- - Defined in models/Entity.ts:47

  #### Parameters

  - ##### amount: number

  #### Returns void

### HeightAboveGround

- get HeightAboveGround(): number

- - Defined in models/Entity.ts:136

  #### Returns number

### IsCollisionEnabled

- get IsCollisionEnabled(): boolean
- set IsCollisionEnabled(value: boolean): void

- - Defined in models/Entity.ts:228

  #### Returns boolean

- - Defined in models/Entity.ts:232

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsInAir

- get IsInAir(): boolean

- - Defined in models/Entity.ts:176

  #### Returns boolean

### IsInWater

- get IsInWater(): boolean

- - Defined in models/Entity.ts:180

  #### Returns boolean

### IsInvincible

- set IsInvincible(value: boolean): void

- - Defined in models/Entity.ts:200

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsOccluded

- get IsOccluded(): boolean

- - Defined in models/Entity.ts:160

  #### Returns boolean

### IsOnFire

- get IsOnFire(): boolean

- - Defined in models/Entity.ts:196

  #### Returns boolean

### IsOnScreen

- get IsOnScreen(): boolean

- - Defined in models/Entity.ts:164

  #### Returns boolean

### IsOnlyDamagedByPlayer

- set IsOnlyDamagedByPlayer(value: boolean): void

- - Defined in models/Entity.ts:204

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsPersistent

- get IsPersistent(): boolean
- set IsPersistent(value: boolean): void

- - Defined in models/Entity.ts:184

  #### Returns boolean

- - Defined in models/Entity.ts:188

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsPositionFrozen

- set IsPositionFrozen(value: boolean): void

- - Defined in models/Entity.ts:110

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsRecordingCollisions

- set IsRecordingCollisions(value: boolean): void

- - Defined in models/Entity.ts:236

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsUpright

- get IsUpright(): boolean

- - Defined in models/Entity.ts:168

  #### Returns boolean

### IsUpsideDown

- get IsUpsideDown(): boolean

- - Defined in models/Entity.ts:172

  #### Returns boolean

### IsVisible

- get IsVisible(): boolean
- set IsVisible(value: boolean): void

- - Defined in models/Entity.ts:152

  #### Returns boolean

- - Defined in models/Entity.ts:156

  #### Parameters

  - ##### value: boolean

  #### Returns void

### LodDistance

- get LodDistance(): number
- set LodDistance(value: number): void

- - Defined in models/Entity.ts:144

  #### Returns number

- - Defined in models/Entity.ts:148

  #### Parameters

  - ##### value: number

  #### Returns void

### MaterialCollidingWith

- get MaterialCollidingWith(): MaterialHash

- - Defined in models/Entity.ts:224

  #### Returns MaterialHash

### MaxHealth

- get MaxHealth(): number
- set MaxHealth(amount: number): void

- - Defined in models/Entity.ts:51

  #### Returns number

- - Defined in models/Entity.ts:55

  #### Parameters

  - ##### amount: number

  #### Returns void

### MaxSpeed

- set MaxSpeed(value: number): void

- - Defined in models/Entity.ts:128

  #### Parameters

  - ##### value: number

  #### Returns void

### Model

- get Model(): Model

- - Defined in models/Entity.ts:67

  #### Returns Model

### NetworkId

- get NetworkId(): number

- - Defined in models/Entity.ts:39

  #### Returns number

### Opacity

- get Opacity(): number
- set Opacity(value: number): void

- - Defined in models/Entity.ts:208

  #### Returns number

- - Defined in models/Entity.ts:212

  #### Parameters

  - ##### value: number

  #### Returns void

### Position

- get Position(): Vector3
- set Position(position: Vector3): void

- - Defined in models/Entity.ts:71

  #### Returns Vector3

- - Defined in models/Entity.ts:76

  #### Parameters

  - ##### position: Vector3

  #### Returns void

### PositionNoOffset

- set PositionNoOffset(position: Vector3): void

- - Defined in models/Entity.ts:80

  #### Parameters

  - ##### position: Vector3

  #### Returns void

### Quaternion

- get Quaternion(): Quaternion
- set Quaternion(quaternion: Quaternion): void

- - Defined in models/Entity.ts:93

  #### Returns Quaternion

- - Defined in models/Entity.ts:98

  #### Parameters

  - ##### quaternion: Quaternion

  #### Returns void

### Rotation

- get Rotation(): Vector3
- set Rotation(rotation: Vector3): void

- - Defined in models/Entity.ts:84

  #### Returns Vector3

- - Defined in models/Entity.ts:89

  #### Parameters

  - ##### rotation: Vector3

  #### Returns void

### RotationVelocity

- get RotationVelocity(): Vector3

- - Defined in models/Entity.ts:123

  #### Returns Vector3

### SubmersionLevel

- get SubmersionLevel(): number

- - Defined in models/Entity.ts:140

  #### Returns number

### Velocity

- get Velocity(): Vector3
- set Velocity(velocity: Vector3): void

- - Defined in models/Entity.ts:114

  #### Returns Vector3

- - Defined in models/Entity.ts:119

  #### Parameters

  - ##### velocity: Vector3

  #### Returns void

## Methods

### applyForce

- applyForce(direction: Vector3, rotation: Vector3, forceType?: ForceType): void

- Inherited from Entity.applyForce

  - Defined in models/Entity.ts:429

  #### Parameters

  - ##### direction: Vector3

  - ##### rotation: Vector3

  - ##### forceType: ForceType = ...

  #### Returns void

### applyForceRelative

- applyForceRelative(direction: Vector3, rotation: Vector3, forceType?: ForceType): void

- Inherited from Entity.applyForceRelative

  - Defined in models/Entity.ts:452

  #### Parameters

  - ##### direction: Vector3

  - ##### rotation: Vector3

  - ##### forceType: ForceType = ...

  #### Returns void

### attachBlip

- attachBlip(): Blip

- Inherited from Entity.attachBlip

  - Defined in models/Entity.ts:257

  #### Returns Blip

### attachTo

- attachTo(entity: Entity, position: Vector3, rotation: Vector3, collisions?: boolean): void

- Inherited from Entity.attachTo

  - Defined in models/Entity.ts:368

  #### Parameters

  - ##### entity: Entity

  - ##### position: Vector3

  - ##### rotation: Vector3

  - ##### collisions: boolean = false

  #### Returns void

### attachToBone

- attachToBone(entityBone: EntityBone, position: Vector3, rotation: Vector3, collisions?: boolean): void

- Inherited from Entity.attachToBone

  - Defined in models/Entity.ts:388

  #### Parameters

  - ##### entityBone: EntityBone

  - ##### position: Vector3

  - ##### rotation: Vector3

  - ##### collisions: boolean = false

  #### Returns void

### clearLastWeaponDamage

- clearLastWeaponDamage(): void

- Inherited from Entity.clearLastWeaponDamage

  - Defined in models/Entity.ts:289

  #### Returns void

### delete

- delete(): void

- Inherited from Entity.delete

  - Defined in models/Entity.ts:483

  #### Returns void

### detach

- detach(): void

- Inherited from Entity.detach

  - Defined in models/Entity.ts:413

  #### Returns void

### exists

- exists(): boolean

- Overrides Entity.exists

  - Defined in models/Prop.ts:12

  #### Returns boolean

### getEntityAttachedTo

- getEntityAttachedTo(): null | Ped | Vehicle | Prop

- Inherited from Entity.getEntityAttachedTo

  - Defined in models/Entity.ts:425

  #### Returns null | Ped | Vehicle | Prop

### getOffsetPosition

- getOffsetPosition(offset: Vector3): Vector3

- Inherited from Entity.getOffsetPosition

  - Defined in models/Entity.ts:351

  #### Parameters

  - ##### offset: Vector3

  #### Returns Vector3

### getPositionOffset

- getPositionOffset(worldCoords: Vector3): Vector3

- Inherited from Entity.getPositionOffset

  - Defined in models/Entity.ts:357

  #### Parameters

  - ##### worldCoords: Vector3

  #### Returns Vector3

### hasBeenDamagedBy

- hasBeenDamagedBy(entity: Entity): boolean

- Inherited from Entity.hasBeenDamagedBy

  - Defined in models/Entity.ts:273

  #### Parameters

  - ##### entity: Entity

  #### Returns boolean

### hasBeenDamagedByAnyMeleeWeapon

- hasBeenDamagedByAnyMeleeWeapon(): boolean

- Inherited from Entity.hasBeenDamagedByAnyMeleeWeapon

  - Defined in models/Entity.ts:285

  #### Returns boolean

### hasBeenDamagedByAnyWeapon

- hasBeenDamagedByAnyWeapon(): boolean

- Inherited from Entity.hasBeenDamagedByAnyWeapon

  - Defined in models/Entity.ts:281

  #### Returns boolean

### hasBeenDamagedByWeapon

- hasBeenDamagedByWeapon(weapon: WeaponHash): boolean

- Inherited from Entity.hasBeenDamagedByWeapon

  - Defined in models/Entity.ts:277

  #### Parameters

  - ##### weapon: WeaponHash

  #### Returns boolean

### hasClearLosToEntity

- hasClearLosToEntity(entity: Entity, traceType?: number): boolean

- Inherited from Entity.hasClearLosToEntity

  - Defined in models/Entity.ts:265

  #### Parameters

  - ##### entity: Entity

  - ##### traceType: number = 17

  #### Returns boolean

### hasClearLosToEntityInFront

- hasClearLosToEntityInFront(entity: Entity): boolean

- Inherited from Entity.hasClearLosToEntityInFront

  - Defined in models/Entity.ts:269

  #### Parameters

  - ##### entity: Entity

  #### Returns boolean

### isAlive

- isAlive(): boolean

- Inherited from Entity.isAlive

  - Defined in models/Entity.ts:63

  #### Returns boolean

### isAttached

- isAttached(): boolean

- Inherited from Entity.isAttached

  - Defined in models/Entity.ts:417

  #### Returns boolean

### isAttachedTo

- isAttachedTo(entity: Entity): boolean

- Inherited from Entity.isAttachedTo

  - Defined in models/Entity.ts:421

  #### Parameters

  - ##### entity: Entity

  #### Returns boolean

### isDead

- isDead(): boolean

- Inherited from Entity.isDead

  - Defined in models/Entity.ts:59

  #### Returns boolean

### isInAngledArea

- isInAngledArea(origin: Vector3, edge: Vector3, angle: number): boolean

- Inherited from Entity.isInAngledArea

  - Defined in models/Entity.ts:308

  #### Parameters

  - ##### origin: Vector3

  - ##### edge: Vector3

  - ##### angle: number

  #### Returns boolean

### isInArea

- isInArea(minBounds: Vector3, maxBounds: Vector3): boolean

- Inherited from Entity.isInArea

  - Defined in models/Entity.ts:293

  #### Parameters

  - ##### minBounds: Vector3

  - ##### maxBounds: Vector3

  #### Returns boolean

### isInRangeOf

- isInRangeOf(position: Vector3, range: number): boolean

- Inherited from Entity.isInRangeOf

  - Defined in models/Entity.ts:324

  #### Parameters

  - ##### position: Vector3

  - ##### range: number

  #### Returns boolean

### isNearEntity

- isNearEntity(entity: Entity, bounds: Vector3): boolean

- Inherited from Entity.isNearEntity

  - Defined in models/Entity.ts:330

  #### Parameters

  - ##### entity: Entity

  - ##### bounds: Vector3

  #### Returns boolean

### isTouching

- isTouching(entity: Entity): boolean

- Inherited from Entity.isTouching

  - Defined in models/Entity.ts:343

  #### Parameters

  - ##### entity: Entity

  #### Returns boolean

### isTouchingModel

- isTouchingModel(model: Model): boolean

- Inherited from Entity.isTouchingModel

  - Defined in models/Entity.ts:347

  #### Parameters

  - ##### model: Model

  #### Returns boolean

### markAsNoLongerNeeded

- markAsNoLongerNeeded(): void

- Inherited from Entity.markAsNoLongerNeeded

  - Defined in models/Entity.ts:490

  #### Returns void

### placeOnGround

- placeOnGround(): void

- - Defined in models/Prop.ts:16

  #### Returns void

### removeAllParticleEffects

- removeAllParticleEffects(): void

- Inherited from Entity.removeAllParticleEffects

  - Defined in models/Entity.ts:475

  #### Returns void

### resetOpacity

- resetOpacity(): void

- Inherited from Entity.resetOpacity

  - Defined in models/Entity.ts:216

  #### Returns void

### setNoCollision

- setNoCollision(entity: Entity, toggle: boolean): void

- Inherited from Entity.setNoCollision

  - Defined in models/Entity.ts:261

  #### Parameters

  - ##### entity: Entity

  - ##### toggle: boolean

  #### Returns void

### Static exists

- exists(prop: Prop): boolean

- - Defined in models/Prop.ts:4

  #### Parameters

  - ##### prop: Prop

  #### Returns boolean

### Static fromHandle

- fromHandle(handle: number): null | Ped | Vehicle | Prop

- Inherited from Entity.fromHandle

  - Defined in models/Entity.ts:11

  #### Parameters

  - ##### handle: number

  #### Returns null | Ped | Vehicle | Prop

### Static fromNetworkId

- fromNetworkId(networkId: number): null | Ped | Vehicle | Prop

- Inherited from Entity.fromNetworkId

  - Defined in models/Entity.ts:24

  #### Parameters

  - ##### networkId: number

  #### Returns null | Ped | Vehicle | Prop

Generated using TypeDoc